package sprzedaz.strumieniowo;

import java.util.Collection;
import java.util.List;
import java.util.Set;
import java.util.TreeSet;
import java.util.stream.Collectors;

public class P3_Miasta_v2 {

    public static void main(String[] args) {
        List<Transakcja> transakcje = ObslugaCSV.wczytaj("sprzedaz.csv");
        
        Collection<String> miasta = transakcje.stream()
                .map(Transakcja::getMiasto)
                .collect(Collectors.toSet());
        
        miasta.forEach(System.out::println);
    }

}
